% In this demo code, we show how to compute the field of view (FOV), given the image size and focal length.

function main()

	% known parameters of a camera
	f = 800; % focal length
    
    W = 640; % image width
    H = 480; % image height
		
	% FOV angle (in radian) defined by image width
    tan_thetaW_2 = (W/2)/f;
    thetaW = atan(tan_thetaW_2)*2;
    
    % FOV angle (in radian) defined by image height
    tan_thetaH_2 = (H/2)/f;
    thetaH = atan(tan_thetaH_2)*2;
    
    % from radian to angle
    thetaW_angle = thetaW * 180/pi
    thetaH_angle = thetaH * 180/pi

end
